Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 670 - need summary
Summary: need summary
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux
Version: 5.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-02 21:07 UTC by n.lathiotakis
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-01-12 21:51:30 UTC


Attachments (Terms of Use)

Description n.lathiotakis 1999-01-02 21:07:04 UTC
If a succesful login at the console (e.g. user 'phnl')
FOLLOWS an unsuccesful one (e.g. false user name, 'Shit' in
the example), then if user phnl does a 'ps axu' one of the
entries is the following:

phnl     16792  0.1  1.5  1500   988   1 S    20:33   0:00
/bin/login -- Shit

The particular process is the succesfull login of phnl but
appears with the name 'Shit' which is the previous
unsuccesfull login.

It is not important of course but its is a fault. And on the
other hand it could be a 'secutity hole' for someone who
by mistake types the pass instead of username. Then everyone
could see his password simply doing a 'ps axu'!

I tried two different machines with kernels 2.0.34 and
2.0.36 both with redhat 5.1 and the result was the same.

Comment 1 David Lawrence 1999-01-12 21:51:59 UTC
I have been able to replicate this bug with 5.1. The failed login name
does show up in a ps -ax listing.

On the other hand I could not get this to happen using 5.2. My
suggestion would be to upgrade to 5.2.


Note You need to log in before you can comment on or make changes to this bug.